import { GraphQLSchema } from 'graphql';
import { PluginFunction, PluginValidateFn } from '@graphql-codegen/plugin-helpers';
export declare function printSchemaWithDirectives(schema: GraphQLSchema): string;
export interface SchemaASTConfig {
    /**
     * @name includeDirectives
     * @type boolean
     * @description Include directives to Schema output.
     * @default false
     *
     * @example
     * ```yml
     * schema:
     *   - './src/schema.graphql'
     * generates:
     *   path/to/file.graphql:
     *     plugins:
     *       - schema-ast
     *     config:
     *       includeDirectives: true
     * ```
     */
    includeDirectives?: boolean;
}
export declare const plugin: PluginFunction;
export declare const validate: PluginValidateFn<any>;
