import { printSchema, print } from 'graphql';
import { extname } from 'path';
// Actually this should go to ardatan/graphql-toolkit
export function printSchemaWithDirectives(schema) {
    const allTypes = schema.getTypeMap();
    const allTypesAst = Object.keys(allTypes).map(key => allTypes[key].astNode);
    const allDirectivesAst = schema.getDirectives().map(dir => dir.astNode);
    return [...allDirectivesAst, ...allTypesAst].map(ast => print(ast)).join('\n');
}
export const plugin = async (schema, _documents, { includeDirectives = false }) => {
    if (includeDirectives) {
        return printSchemaWithDirectives(schema);
    }
    return printSchema(schema, { commentDescriptions: false });
};
export const validate = async (_schema, _documents, _config, outputFile, allPlugins) => {
    const singlePlugin = allPlugins.length === 1;
    if (singlePlugin && extname(outputFile) !== '.graphql') {
        throw new Error(`Plugin "schema-ast" requires extension to be ".graphql"!`);
    }
};
//# sourceMappingURL=index.js.map